<?php use_helper('UrlFunctions'); ?>

<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>

<?php

if(isset($control)){
  
  $o_UsuarioBean = new UsuarioBean();
  $o_UsuarioBean->setUsuarioId($txtLogin);
  $o_UsuarioBean->setNombre($txtNombre);
  $o_UsuarioBean->setContrasena($txtPass);
  $o_UsuarioBean->setRolId($cboRol);
  //$o_UsuarioBean->setPswdFechCambio();
  //$o_UsuarioBean->setPswdHoraCambio();
  //$o_UsuarioBean->setPswdAciertos();
  //$o_UsuarioBean->setEnUso();
  $o_UsuarioBean->setEsDisabled($cmbEstado);
  //$o_UsuarioBean->setFechaInicioSesion();
  //$o_UsuarioBean->setHoraInicioSesion();
  //$o_UsuarioBean->setCodigoIdioma();
  $o_UsuarioBean->setFechaInicio(date("Y-m-d"));
  //$o_UsuarioBean->setFechaFin();
  //$o_UsuarioBean->setDireccionIp();
  $o_UsuarioBean->setCorreoElectronico($txtEmail);
  $o_UsuarioBean->setFechaCreacion(date("Y-m-d H:i:s"));
  $o_UsuarioBean->setUsuarioCreacion(myUser::getUser()->getUserId());
  //$o_UsuarioBean->setFechaActualizacion();
  //$o_UsuarioBean->setUsuarioActualizacion();
  
  $o_UserSystemClass = new UserSystemClass($o_UsuarioBean);
  $bResult= $o_UserSystemClass->actualizarUser();
  
  //$url = buildUrl('user/'.$typeSubmit, "block=".$block);
  if($bResult){
    ?>
    <script language="JavaScript">
    parent.objMainTab.reqBody('<?=buildUrl('user/list')?>','block=001&update=1&cod=<?=$o_UsuarioBean->getUsuarioId()?>');
    parent.objMainTab.windowsCloseAll();
    </script>
    <?
  }else{
    $url = buildUrl('user/edit', "block=".$block."&error=1");
  }
  
  
}
$o_UserSystemClass = new UserSystemClass(new RolBean());
$a_Rol = $o_UserSystemClass->getRol();

$o_UsuarioBean = new UsuarioBean();
$o_UsuarioBean->setUsuarioId($id);

$o_UsuarioBL = new UsuarioBL();
$o_ObjectUsuario = $o_UsuarioBL->busquedaUsuario($o_UsuarioBean);

/*$o_UsuarioSystemClass = new UsuarioSystemClass(new UsuarioBean());
$a_Usuario = $o_UsuarioSystemClass->getUsuario();*/

?><img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Usuario</li>
            <span class="subtitle">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Ficha de Usuario (Mostrar)</span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td valign="top">
      <script type="text/javascript">
        validatePass = function(){
          var elmPass  = $('txtPass');
          var elmPass2 = $('txtPass2');
          if(elmPass.value == elmPass2.value){
            valid.onSubmit = true;
          }else{
            alert("Los password son diferentes.");
            elmPass.value  = "";
            elmPass2.value = "";
            elmPass.focus();
            valid.onSubmit = false;
          }
        }
      </script>
      <form id="form1" name="form1" method="POST" onsubmit="validatePass();">
        <input type="hidden" name="control" value="1">
      <table hspace="20px" class="marco" width="100%">
        <tr>
          <td valign="top">
          
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="50%" valign="top">
                  <table class="SubCabecera" width="100%" border="0" cellpadding="0" cellspacing="2">
                    <tr>
                      <td nowrap="nowrap" width="14%"><label class="label" for="txtLogin">Login : </label></td>
                      <td nowrap="nowrap" width="38%"><label class="label" for="txtLogin"><?=$o_ObjectUsuario ->getUsuarioId()?></label></td>
                    </tr>
                    <tr>
                      <td nowrap="nowrap"><label class="label" for="txtNombre">Nombre : </label></td>
                      <td nowrap="nowrap" width="38%"><label class="label" for="txtNombre"><?=$o_ObjectUsuario ->getNombre()?></label></td>
                    </tr>
                  </table>
                </td>
                <td width="50%" valign="top">
                  <table class="SubCabecera" width="100%" border="0" cellpadding="0" cellspacing="2">
                   <tr>
                      <td width="14%" nowrap="nowrap"><label class="label" for="txtRol">Rol : </label></td>
                      <td nowrap="nowrap"><label class="label" for="txtCategoriaD">
    					                 <?php 
                                    foreach ($a_Rol as $iKey => $o_RolBean){ 
               		                  if($o_RolBean->getRolId() == $o_ObjectUsuario->getRolId() ){
                	                     echo $o_RolBean->getDescripcion();
               		                    }
                                 } ?>
                           
                   </label>
    					     </td>
                    </tr>
                    <tr>
                      <td nowrap="nowrap"><label class="label0" for="">&nbsp;</label></td>
                      <td nowrap="nowrap">&nbsp;</td>
                    </tr>
                  </table>
                </td>
              </tr>
              <tr>
                <td width="50%" valign="top">
                  <table class="SubCabecera" width="100%" border="0" cellpadding="0" cellspacing="2">
                    <tr>
                      <td nowrap="nowrap" width="14%"><label class="label" for="txtEstado">Estado :</label></td>
                      <td nowrap="nowrap" width="86%">
                      
                        <?php 
                            /* foreach ($a_Rol as $iKey => $o_RolBean){ 
               		            if($o_RolBean->getRolId() == $o_ObjectUsuario->getRolId() ){
                	            echo $o_RolBean->getRolId();
               		           }
                          }*/ ?>
                      </td>
                    </tr>
                  </table>
                </td>
                <td width="50%" valign="top">
                  <table class="SubCabecera" width="100%" border="0" cellpadding="0" cellspacing="2">
                    <tr>
                      <td nowrap="nowrap" width="14%"><label class="label" for="txtCorreoElectronico">Email : </label></td>
                      <td nowrap="nowrap" width="80%"><label class="label" for="txtCorreoElectronico"><?=$o_ObjectUsuario ->getCorreoElectronico()?></label></td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
        
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td class="marco">
                   <!--<table class="SubDetalle" width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="100%" valign="top">
                        <table width="100%" border="0" cellpadding="0" cellspacing="3">
                          <tr>
                            <td width="20%" nowrap="nowrap"><div class="field-label"><label class="label" for="txtPass"><b>Ingrese su contraseņa :</b></label></div></td>
                            <td nowrap="nowrap"><div class="cusField-label"><input class="text required" name="txtPass" id="txtPass" type="password" maxlength="40" size="20" ></div></td>															        
                          </tr>
                          <tr>
                            <td width="" nowrap="nowrap"><div class="field-label"><label class="label" for="txtPass"><b>Vuelva a ingresar su contraseņa :</b></label></div></td>
                            <td nowrap="nowrap"><div class="cusField-label"><input class="text required" name="txtPass2" id="txtPass2" type="password" maxlength="40" size="20" ></div></td>															        
                          </tr>
                        </table>
                      </td>
                    </tr>
                  </table>-->
                </td>
              </tr>
            </table>
            
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr><td><img src="/images/common/spacer.gif" width="10"></td></tr>
              <tr>
                <td align="center">
                  <!--<input type="hidden" name="typeSubmit" id="typeSubmit">
                  <input class="button" type="submit" value="Grabar y Nuevo" onclick="$('typeSubmit').value='add';"/>
                  <input class="button" type="submit" value="Grabar" onclick="$('typeSubmit').value='list';">-->
                  <input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.reqBody('<?=buildUrl('user/list')?>','001')"/>
                </td>
              </tr>
            </table>
            <tr><td><img src="/images/common/spacer.gif" width="10"></td></tr>
          </td>
        </tr>
      </table>
      </form>
			<script type="text/javascript">
				function formCallback(result, form) {
					window.status = "valiation callback for form '" + form.id + "': result = " + result;
				}
				var valid = new Validation('form1', {immediate : true});
			</script>
    </td>
  </tr>
  
</table>